Bug 465149 - F10 tomboy-panel crashes
F10 tomboy-panel crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
: 480958 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 15:59 EDT by Thomas J. Baker
Modified: 2009-12-18 01:28 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:28:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from running tomboy-panel in terminal (6.49 KB, text/plain)
2008-10-01 15:59 EDT, Thomas J. Baker
no flags Details
debug output of tomboy (1.52 KB, text/plain)
2009-01-08 15:33 EST, Erik Streb del Toro
no flags Details

  None (edit)
Description Thomas J. Baker 2008-10-01 15:59:22 EDT
Created attachment 319161 [details]
output from running tomboy-panel in terminal

After upgrading to F10b, tomboy crashes at startup. Some digging reveals that tomboy works but tomboy-panel crashes. I've included the output in an attachment.
Comment 1 Jeremy Fitzhardinge 2008-10-02 15:03:51 EDT
I see exactly the same thing.  Running tomboy manually works fine.
Comment 2 Dan Winship 2008-10-08 09:47:46 EDT
It's trying to dlopen "libpanel-applet-2.so" (as opposed to, say, libpanel-applet-2.so.0.2.45), so it fails and crashes if you don't have gnome-panel-devel installed.

I don't remember why this happens/how to fix it.
Comment 3 Matthias Clasen 2008-10-08 12:18:23 EDT
I think the problem is that libpanel-applet-2 is missing from
gnome-sharp-2.20.0/gnome/gnome-sharp.dll.config.in
Comment 4 Bug Zapper 2008-11-25 22:25:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Erik Streb del Toro 2009-01-08 15:33:34 EST
Created attachment 328490 [details]
debug output of tomboy

Iā€™m using Fedora 10 with all updates. Tomboy-Panel crashes when I start it. But I receive different errors than mentioned above. A file seems missing:

  Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'Mono.Addins

(see attached file)

After installing the package mono-addins.x86_64 I was able to start Tomboy without any error.

So I think mono.addins should be a dependency of tomboy.

Can you please fix this and then finally please close this bug? Would be nice.
Comment 6 Justin Dick 2009-01-13 00:56:44 EST
mono-addins is a dependency
unfortunately, f-spot is listed as providing the dependency
See bug 442373

It was closed, and if I could figure out how to repoen it I would...
Comment 7 Austin Acton 2009-02-01 11:52:46 EST
Confirmed here.

# yum install tomboy
pulls in f-spot (which it should not)
and does not pull in mono-addins (which it should)

# yum install mono-addins
makes tomboy run properly again
Comment 8 Jeffrey C. Ollie 2009-02-04 10:04:13 EST
I'm seeing the same thing on a Freshly installed F-10 system. "rpm -q --provides f-spot | grep Mono.Addins":

[root@pc21224 ~]# rpm -q --provides f-spot | grep Mono.Addins
mono(Mono.Addins) = 0.3.0.0
mono(Mono.Addins.Gui) = 0.3.0.0
mono(Mono.Addins.Setup) = 0.3.0.0
Comment 9 Tom Cross 2009-02-04 10:21:02 EST
My problems with tomboy were solved (eventually) with a "yum install mono-addins".

However, I found the package "tasque", which I installed because I could no longer use tomboy, conflicts with mono-addins/tomboy.  I could not get tomboy to start until I did a "yum erase tasque".
Comment 10 Jon Dufresne 2009-02-17 13:26:47 EST
*** Bug 480958 has been marked as a duplicate of this bug. ***
Comment 11 Diego Escalante Urrelo 2009-04-13 23:54:49 EDT
I can confirm this. Tomboy indeed does not install mono-addins, hence fails to start.
https://bugzilla.redhat.com/show_bug.cgi?id=492200 is a dupe of this btw. And perhaps changing the title makes sense.
Comment 12 Christian Nolte 2009-07-31 09:37:41 EDT
I can confirm this and the sollution to install mono-addins too. What is the status? It shouldn't be that hard to update the RPM dependencies for this package...
Comment 13 Bug Zapper 2009-11-18 02:55:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:28:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.